Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image
Class ColorReducer

    java.lang.Object
      com.bbn.openmap.image.ColorReducer

public class ColorReducer
extends java.lang.Object

A with some static methods to reduce the number of colors in a `BufferedImage`.

Author:
  halset

Method Summary
`static java.awt.image.BufferedImage` | `reduce24(java.awt.image.BufferedImage bi, int colors)` Reduce a 24 bit image to the given number of colors.
`static java.awt.image.BufferedImage` | `reduce32(java.awt.image.BufferedImage bi, int colors)` Reduce a 32 bit image to the given number of colors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### reduce24

    public static java.awt.image.BufferedImage reduce24(java.awt.image.BufferedImage bi,
                                                        int colors)

  Reduce a 24 bit image to the given number of colors. Support fully transparent pixels, but not partially transparent pixels.

  Parameters:
    `bi` -
    `colors` -
  Returns:

### reduce32

    public static java.awt.image.BufferedImage reduce32(java.awt.image.BufferedImage bi,
                                                        int colors)

  Reduce a 32 bit image to the given number of colors. Support partially transparent pixels.

  Parameters:
    `bi` -
    `colors` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details